ベストセラー人気 WordPress テーマTop 30 詳細

WordPress推奨バージョンのPHPを7.2以上に調整

Last Updated:2020年11月14日| 4のコメント
  • Naver ブログを共有する
  • Naver バンドに共有する
  • Facebook 共有する
  • Twitter 共有する
  • 카카오스토리공유하기

昨年半ばに WordPressの推奨PHPのバージョンが7.0に上方修正されました。 今日確認してみる再びPHP 7.2以上に変更なりましたね。

PHPのバージョン7.2以上
MySQLバージョン5.6以降、またはOR MariaDBのバージョン10.0以降
HTTPSサポート

PHP 5.6からPHP 7.0に上方修正されているために、かなりの時間がかかったが、PHP 7.0からPHP 7.2ではすぐ調整ましたね。

現在のPHP 7.2を提供するWebホスティングどのようにあるか分かりません。 Cafe24を見てみると7.0が最も高いバージョンですね。 しかし、 WordPress ため、ほとんどのメーカーでは、PHP 7.2を提供する時期が速くならないかと思います。

まず Sitegroundでホストされているブログでは、PHP 7.2の両方を適用しました。 4つのサイト(Avada, Enfold, ディビ, 冥王星 テーマがそれぞれ使用)に適用した懸念とは異なり、すべて問題なく動作しますね。

このブログは、現在の Bluehost VPSを使用しています。 しばらく前にPHP 7.1を適用した状態です。 ひょっとしてWHMに接続して確認してみるPHP 7.2を適用することができますね。 フダクダクPHP 7.2を追加してビルドしてみました。

WordPress推奨PHPのバージョンを7.2以上に調整3

PHP 7.2を追加し、PHP 5.6を削除しました。 そしてPHPの設定値は次のように設定しました(今後の参考のためにここにスクリーンショットを上げ)。

WordPress推奨PHPのバージョンを7.2以上に調整4

しばらく前に、サイトが遅く動作し、 Bluehost 担当者に聞いてみると、メモリの値が低く設定されたとしmemory_limitの値を600Mに設定しました。 PHP 7.2にもそのまま適用した。

問題は、このブログにPHP 7.2を適用するから、次のようなエラーが発生しますね。

The server is temporarily unable to service your request due to maintenance downtime or capacity problems。 Please try again later。 Additionally、a 503 Service Unavailable error was encountered while trying to use an ErrorDocument to handle the request。

時間が飛ぶとき Bluehostライブチャットで連絡して、なぜこのようなエラーが発生していることを確認しなければならなりません。 (おそらく正しく反映される少し時間がかかることもあります。PHP 7.1でエラーが発生し、数ヶ月待ってから正常に適用されました。)

2019年5月追加: 현재 WordPress 推奨PHPのバージョンは7.3以上です。 このブログには、現在のPHP 7.3が適用されています(cPanelとWHMバージョンのアップグレード方法 を参照)。

최근 WordPress 5.2にアップデートされ、最小PHP要件がPHP 5.6.20に上方修正されました。 WordPressが5.2で、特に、いくつかのセキュリティ機能が追加され、セキュリティが強化されました。

メモ:



4のコメント

コメント

  1. ダトホムは7.2の提供を開始しましたよ
    7.0に変わったときは速度が少し改善された7.2も速度の改善はできますか〜?

    回答する
    • こんにちは、sky様。

      PHP 7.0は、セキュリティサポートが切れて、もはやセキュリティ更新プログラムが提供されていないので、PHP 7.2を使用することが、速度とセキュリティ面で望ましいと思われる。

      バージョンが高いほど性能が良いです。

      最近は7.3(現在の最新バージョン)を提供する企業も増えています。

      このブログが利用している BluehostもPHP 7.3まで対応しています。
      https://blog.thewordcracker.com/bluehostphpini

      回答する
  2. 最近、各オープンプログラムイミダゾ基本仕様が徐々に高くなるようです。
    それでもまだネコトは大丈夫だろう、このような思いをする方が多いようです。
    Cafe24も近いうちにphp 7.2バージョンが出てくるでしょうね.. ^^

    回答する
    • 個人的な考えは、 Cafe24で多分現在の状態を持続している途中PHP 8が出る提供してくれないだろうか期待されてます。(笑)

      WordPress 推奨PHPのバージョンが5.6の時 Cafe24は5.5まで提供している途中5.6はスキップし7.0ですぐに超えました。 後に別のニュースがないですね。

      回答する